LICENSE

The work is released under the GPL

PREREQUISITES

A working RT 4 installation (4.0.14 or greater) is required for AT 3.0.
For RT 3.8, use AT 2.0.

WARNING

Only mysql and SQLite are tested by the author. Feel free to send me a
schema file for other databases supported by RT.

Oracle schema provided by Joop van de Wege.
Postgres schema provided by Rolf Schaufelberger.

INSTALLATION

Please make a backup of your RT installation and database!

$ RTHOME=/path/to/rt perl Makefile.PL
$ make
$ make install
$ make initdb

Add RTx::AssetTracker to your Plugins in etc/RT_SiteConfig.pm and restart your web server.

If you like to use Assets as CF SourceValues, you can activate it as example like this inside
RT_SiteConfig.pm:

Set(@CustomFieldValuesSources, (qw(RT::CustomFieldValues::ATServers)));


UGRADING

Follow any version-specific instructions below, then type:

    ls etc/upgrade

    For each item in that directory whose name is greater than
    your previously installed AT version, you must run upgrade
    commands.

    Each step is described below and may have additional instructions.
    Read them before running upgrade commands.

    Commands you should run to upgrade DB using data
    from etc/upgrade/<version> directory: If the dir has any schema
    files then run:

            /opt/rt4/sbin/rt-setup-database --dba <dba> \
            --prompt-for-dba-password --action schema \
            --datadir etc/upgrade/<version>

    If the dir has a file named 'content' then run:

        /opt/rt4/sbin/rt-setup-database --dba <dba> \
            --prompt-for-dba-password --action insert \
            --datadir etc/upgrade/<version>


UPGRADING FROM AT 1.2.4 AND EARLIER

Do the following:

1. Make a backup of any AT customizations.

2. AT now uses the RT plugins system. Remove all AT files fom the RT directories.
   After the "make install" step above put any AT customizations in
   $RTHOME/local/plugins/RTx-AssetTracker, add 

3. Add to RT_SiteConfig: 
       Set(@Plugins,(qw(RTx::AssetTracker)));


UPGRADING FROM AT 2.0.x AND EARLIER

Custom link types are now set with a hash, %AssetLinkTypes, instead of an array, @AssetLinkTypes.
For example, if you had 
    @AssetLinkTypes = qw( LocatedAt AtThisLocation );
in your *_SiteConfig.pm file, you should change it to
    Set( %AssetLinkTypes, LocatedAt => 'AtThisLocation' );


UPGRADING FROM AT 3.0.x AND EARLIER

The setting 'ModifyBothAssetsForLink' has been renamed to 'StrictAssetLinkACL'.


UPGRADING FROM an AT installed under RT 3.6.* or older

If you installed an older version of AT under RT < 3.8 the best strategy is to remove AT files from
your installation and install AT as above, but skipping the rt-setup-database commands. Any AT
customization will have to be ported to the new version AT, which uses the RT plugins system.
Also, most AT configuration option have been renamed, and they are all now in the RT namespace.
So, for example the configuration option $RTx::AssetTracker::DefaultSearchResultFormat is now
$RT::DefaultAssetSearchResultFormat.

TODO: Document converting asset saved searches.

AUTHOR

Todd Chapman
todd@chaka.net

PROPS

Thanks to Jesse and Best Practical for giving me something to stand on.
